﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization.Json;
using System.Runtime.Serialization;

namespace CSharpSync2chSample
{
    [DataContract]
    class ThreadInfo
    {
        /// <summary>
        /// スレッドのタイトル
        /// </summary>
        [DataMember]
        public string Title { get; set; }

        /// <summary>
        /// スレッドのURL
        /// </summary>
        [DataMember]
        public string Url { get; set; }

        /// <summary>
        /// 閲覧位置
        /// </summary>
        [DataMember]
        public int CurrentPosition { get; set; }

        /// <summary>
        /// 既読位置
        /// </summary>
        [DataMember]
        public int ReadPosition { get; set; }

        /// <summary>
        /// 把握しているレス数
        /// </summary>
        [DataMember]
        public int ResCount { get; set; }


        /// <summary>
        /// 自分の書き込みレス番号リスト
        /// </summary>
        [DataMember]
        public List<int> MyResList { get; set; }
    }
}
